<h1>WPSSO User Locale Selector</h1><h3>Select a Locale / Language / Region in the WP Toolbar Menu</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO User Locale Selector</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO Core extension to add a user locale / language / region selector in the WordPress admin back-end and front-end toolbar menus.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.1.9</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.8</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.9.3</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>user locale, user language, user region, locale, language, region, select, toolbar, menu, polylang</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/wpsso-user-locale/assets/icon-256x256.png"></p>

<p><strong>Add a user locale drop-down menu item in the WordPress admin back-end admin and front-end toolbar menus.</strong></p>

<p><strong>Perfect for translators or anyone who needs to switch languages quickly and easily</strong> &mdash; allows logged-in users to change their preferred locale / language setting right from the toolbar menu (instead of having to update their WordPress user profile page).</p>

<p>The default WordPress behavior is to apply the user locale preference to the admin back-end only &mdash; this plugin can optionally extend the user locale preference to the front-end webpage as well (enabled by default in the SSO &gt; User Locale settings page).</p>

<p><strong>WPSSO UL is <em>incredibly fast</em> and coded for performance:</strong></p>

<p>WPSSO Core and its extensions make full use of all available caching techniques (persistent / non-persistent object and disk caching), and load only the PHP library files and object classes they need, keeping their code small, fast, and light.</p>

<p>WPSSO Core and its extensions are fully tested and compatible with PHP v7.x (PHP v5.3 or better required).</p>

<h3>Power-Users / Developers</h3>

<p>See the plugin <a href="https://wordpress.org/plugins/wpsso-user-locale/other_notes/">Other Notes</a> page for information on available filters.</p>

<h3>Do you use the Polylang plugin?</h3>

<p>If the Polylang plugin is active, the user locale menu will automatically use the correct Polylang language URLs for the current webpage.</p>

<h3>WPSSO Core Plugin Prerequisite</h3>

<p>WPSSO User Locale Selector is an extension for the WPSSO Core plugin &mdash; which creates complete &amp; accurate meta tags and Schema markup from your existing content for social sharing, Social Media Optimization (SMO), Search Engine Optimization (SEO), Google Rich Cards, Pinterest Rich Pins, etc.</p>


<h2>Installation</h2>

<h3>Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/installation/install-the-plugin/">Install the WPSSO UL Extension</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/installation/uninstall-the-plugin/">Uninstall the WPSSO UL Extension</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3>Frequently Asked Questions</h3>

<ul>
<li>None</li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h3>Additional Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/disable-user-locale-on-front-end/">Disable User Locale on Front-End</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-menu-title/">Modify the Menu Title</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-redirect-url/">Modify the Redirect URL</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/by-name/">Filters by Name</a></li>
</ul></li>
</ul></li>
</ul>

